package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 质量月报S5003对象 t_monthly_quality_report_s5003
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public class TMonthlyQualityReportS5003 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String locationName;

    /** 采样点 */
    @Excel(name = "采样点")
    private String samplePoint;

    /** 采样日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "采样日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sampleDate;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 甲烷 */
    @Excel(name = "甲烷")
    private String methane;

    /** 乙烷 */
    @Excel(name = "乙烷")
    private String ethane;

    /** 乙烯含量 */
    @Excel(name = "乙烯含量")
    private String ethylene;

    /** 丙烷 */
    @Excel(name = "丙烷")
    private String propane;

    /** 丙二烯 */
    @Excel(name = "丙二烯")
    private String propadiene;

    /** 甲基乙炔 */
    @Excel(name = "甲基乙炔")
    private String methylacetylene;

    /** 丁烯+1,3-丁二烯 */
    @Excel(name = "丁烯+1,3-丁二烯")
    private String buteneButadiene;

    /** 丙二烯和甲基乙炔含量 */
    @Excel(name = "丙二烯和甲基乙炔含量")
    private String propadieneMethylacetylene;

    /** 总量 */
    @Excel(name = "总量")
    private String totals;

    /** 烷烃含量 */
    @Excel(name = "烷烃含量")
    private String paraffine;

    /** 丙烯含量 */
    @Excel(name = "丙烯含量")
    private String propylene;

    /** 甲醇含量 */
    @Excel(name = "甲醇含量")
    private String methanol;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocationName(String locationName)
    {
        this.locationName = locationName;
    }

    public String getLocationName()
    {
        return locationName;
    }
    public void setSamplePoint(String samplePoint)
    {
        this.samplePoint = samplePoint;
    }

    public String getSamplePoint()
    {
        return samplePoint;
    }
    public void setSampleDate(Date sampleDate)
    {
        this.sampleDate = sampleDate;
    }

    public Date getSampleDate()
    {
        return sampleDate;
    }
    public void setSampleName(String sampleName)
    {
        this.sampleName = sampleName;
    }

    public String getSampleName()
    {
        return sampleName;
    }
    public void setMethane(String methane)
    {
        this.methane = methane;
    }

    public String getMethane()
    {
        return methane;
    }
    public void setEthane(String ethane)
    {
        this.ethane = ethane;
    }

    public String getEthane()
    {
        return ethane;
    }
    public void setEthylene(String ethylene)
    {
        this.ethylene = ethylene;
    }

    public String getEthylene()
    {
        return ethylene;
    }
    public void setPropane(String propane)
    {
        this.propane = propane;
    }

    public String getPropane()
    {
        return propane;
    }
    public void setPropadiene(String propadiene)
    {
        this.propadiene = propadiene;
    }

    public String getPropadiene()
    {
        return propadiene;
    }
    public void setMethylacetylene(String methylacetylene)
    {
        this.methylacetylene = methylacetylene;
    }

    public String getMethylacetylene()
    {
        return methylacetylene;
    }
    public void setButeneButadiene(String buteneButadiene)
    {
        this.buteneButadiene = buteneButadiene;
    }

    public String getButeneButadiene()
    {
        return buteneButadiene;
    }
    public void setPropadieneMethylacetylene(String propadieneMethylacetylene)
    {
        this.propadieneMethylacetylene = propadieneMethylacetylene;
    }

    public String getPropadieneMethylacetylene()
    {
        return propadieneMethylacetylene;
    }
    public void setTotals(String totals)
    {
        this.totals = totals;
    }

    public String getTotals()
    {
        return totals;
    }
    public void setParaffine(String paraffine)
    {
        this.paraffine = paraffine;
    }

    public String getParaffine()
    {
        return paraffine;
    }
    public void setPropylene(String propylene)
    {
        this.propylene = propylene;
    }

    public String getPropylene()
    {
        return propylene;
    }
    public void setMethanol(String methanol)
    {
        this.methanol = methanol;
    }

    public String getMethanol()
    {
        return methanol;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationName", getLocationName())
            .append("samplePoint", getSamplePoint())
            .append("sampleDate", getSampleDate())
            .append("sampleName", getSampleName())
            .append("methane", getMethane())
            .append("ethane", getEthane())
            .append("ethylene", getEthylene())
            .append("propane", getPropane())
            .append("propadiene", getPropadiene())
            .append("methylacetylene", getMethylacetylene())
            .append("buteneButadiene", getButeneButadiene())
            .append("propadieneMethylacetylene", getPropadieneMethylacetylene())
            .append("totals", getTotals())
            .append("paraffine", getParaffine())
            .append("propylene", getPropylene())
            .append("methanol", getMethanol())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
